Name:		opticalraytracer
Version:	1.1    
Release:	1%{?dist}
Summary:	OpticalRayTracer is a Linux utility that analyzes systems of lenses

Group:		Amusements/Graphics    
License:	GPLv2+    
URL:		http://arachnoid.com/OpticalRayTracer/index.html
Source0:	http://arachnoid.com/OpticalRayTracer/raytracer.tar.bz2
Source1:	%{name}.desktop
# Don't check for old autotools
Patch0:		%{name}-autotools.patch
# Fix typecast from size_t to unsigned int causing an infinite loop
Patch1:		%{name}-x86_64.patch
# Both patches have been mailed to the author on 11th of September 2008.
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libXext-devel
BuildRequires:	zlib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	qt3-devel
BuildRequires:	kdebase3-devel
BuildRequires:	desktop-file-utils

%description

OpticalRayTracer is a free (GPL) Linux (X windows GUI-based) utility that
analyzes systems of lenses. It uses optical principles and a virtual optical
bench to predict the behavior of many kinds of ordinary and exotic lens types.

OpticalRayTracer includes an advanced, easy-to-use interface that allows the
user to rearrange the optical configuration by simply dragging lenses around 
using the mouse.

%prep
%setup -q -n raytracer.dist
%patch0 -p1
%patch1 -p1
make -f Makefile.cvs dist

%build
# honor $RPM_OPT_FLAGS
sed -i 's|CXXFLAGS="$ac_save_CXXFLAGS"|CXXFLAGS="$RPM_OPT_FLAGS"|' configure
%configure --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
%{SOURCE1}

install -D -p -m644 src/OpticalRayTracer.png \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/OpticalRayTracer.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_bindir}/raytracer
%{_datadir}/apps/raytracer/
%{_datadir}/applications/fedora-opticalraytracer.desktop
%{_datadir}/icons/hicolor/32x32/apps/OpticalRayTracer.png

%changelog
* Fri Sep 5 2008 Milos Jakubicek <xjakub@fi.muni.cz> - 1.1-1
- Initial release.
